在RHEL上安装R

我的问题类似于这个 – 在Linux CentOS 6.3上安装R的问题

我安装了epel,但是当我运行yum安装R时,我得到了两个依赖问题 –

错误:软件包:R-core-3.0.1-2.el6.x86_64(epel)需要:libjpeg.so.62(LIBJPEG_6.2)(64bit)

错误:包:R-core-devel-3.0.1-2.el6.x86_64(epel)需要:texinfo-tex

我尝试使用rpm文件安装texinfo-tex – http://rpm.pbone.net/index.php3/stat/4/idpl/15993086/dir/scientific_linux_6/com/texinfo-tex-4.13a-8.el6 .x86_64.rpm.html

然而,这把我带入了一个缺less依赖关系的长长的树。 我下载并尝试安装5个不同的rpm文件,每次都有一些缺失的依赖关系。 答:这只是依赖关系树的一个分支。 我想,还有更好的办法。 有人可以帮忙吗? 这一直让我疯狂。

编辑:我正在尝试的另一个选项是从源代码构buildR。 不知道这是否会工作给予缺less的软件包,但。 但是现在却说它找不到一个Fortran编译器(“找不到F77编译器”)。 我安装了gcc,认为它会有一个,但显然不是。

Solutions Collecting From Web of "在RHEL上安装R"

在RHEL6.4上做

subscription-manager repos – 启用rhel-6-server-optional-rpms

yum安装texinfo-tex

rpm -ivh http://mirror.unl.edu/epel/6/x86_64/epel-release-6-8.noarch.rpm

yum install R

欢呼貂

我有完全相同的问题,并花了大约3个小时试图找到一个yum的存储库,可以解决这个问题的RHEL 6。 到目前为止,似乎谁添加了这种依赖关系,实际上并没有试图加入依赖关系来安装它。 这些依赖关系映射似乎并不存在于我能找到的任何回购中。

所以我感到沮丧,并尝试这个命令

yum安装texinfo-tex-4.13a-8.el6.x86_64.rpm

它的工作

Loaded plugins: rhnplugin, security This system is receiving updates from RHN Classic or RHN Satellite. CentALT | 951 B 00:00 elrepo | 2.9 kB 00:00 epel/metalink | 13 kB 00:00 epel-testing/metalink | 13 kB 00:00 mongodb | 951 B 00:00 puppetlabs-enterprise-extras | 1.9 kB 00:00 remi | 2.9 kB 00:00 rhel-source | 2.5 kB 00:00 rhel-x86_64-server-6 | 1.8 kB 00:00 rpmforge | 1.9 kB 00:00 scl_python27 | 2.9 kB 00:00 scl_ruby193 | 2.9 kB 00:00 Setting up Install Process Examining texinfo-tex-4.13a-8.el6.x86_64.rpm: texinfo-tex-4.13a-8.el6.x86_64 Marking texinfo-tex-4.13a-8.el6.x86_64.rpm to be installed Resolving Dependencies --> Running transaction check ---> Package texinfo-tex.x86_64 0:4.13a-8.el6 will be installed --> Finished Dependency Resolution Dependencies Resolved ================================================================================ Package Arch Version Repository Size ================================================================================ Installing: texinfo-tex x86_64 4.13a-8.el6 /texinfo-tex-4.13a-8.el6.x86_64 387 k Transaction Summary ================================================================================ Install 1 Package(s) Total size: 387 k Installed size: 387 k Is this ok [y/N]: y Downloading Packages: Running rpm_check_debug Running Transaction Test Transaction Test Succeeded Running Transaction Installing : texinfo-tex-4.13a-8.el6.x86_64 1/1 Verifying : texinfo-tex-4.13a-8.el6.x86_64 1/1 Installed: texinfo-tex.x86_64 0:4.13a-8.el6 Complete! # yum install R Loaded plugins: rhnplugin, security This system is receiving updates from RHN Classic or RHN Satellite. Setting up Install Process Resolving Dependencies --> Running transaction check ---> Package R.x86_64 0:3.0.1-2.el6 will be installed --> Processing Dependency: R-devel = 3.0.1-2.el6 for package: R-3.0.1-2.el6.x86_64 --> Running transaction check ---> Package R-devel.x86_64 0:3.0.1-2.el6 will be installed --> Processing Dependency: R-java-devel = 3.0.1-2.el6 for package: R-devel-3.0.1-2.el6.x86_64 --> Processing Dependency: R-core-devel = 3.0.1-2.el6 for package: R-devel-3.0.1-2.el6.x86_64 --> Running transaction check ---> Package R-core-devel.x86_64 0:3.0.1-2.el6 will be installed ---> Package R-java-devel.x86_64 0:3.0.1-2.el6 will be installed --> Finished Dependency Resolution Dependencies Resolved ================================================================================ Package Arch Version Repository Size ================================================================================ Installing: R x86_64 3.0.1-2.el6 epel 19 k Installing for dependencies: R-core-devel x86_64 3.0.1-2.el6 epel 90 k R-devel x86_64 3.0.1-2.el6 epel 19 k R-java-devel x86_64 3.0.1-2.el6 epel 19 k Transaction Summary ================================================================================ Install 4 Package(s) Total download size: 147 k Installed size: 326 k Is this ok [y/N]: 

在6.6 RHEL 64位机器上安装R

经过很多页面,我发现这个步骤,所以想到分享作为一个快速的步骤:

wget http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm

“这是RHEL机器首选的包装。”

sudo yum安装tcl

“Tcl软件包包含工具命令语言,一种强大的通用脚本语言。 这个软件包被称为使用LFS-7.7平台来构建和正常工作。 这个软件包被称为使用gcc-5编译器来构建和正常工作。“

sudo yum干净一切

“清理yum缓存”

sudo yum安装R

“为了安装R”

试试这个

 rpm -ivh http://mirror.unl.edu/epel/6/x86_64/epel-release-6-7.noarch.rpm 

第二个是:

 #yum install R 

感谢和问候,
阿洛克

尝试sudo yum groupinstall“开发工具”

这安装了包括所有编译器的开发工具。 我也试图安装相同的。 试图从源头上建设。 现在尝试用yum来建立。 让我们看看它是如何去的

“我试了这个..它说”包epel-release-6-8.noarch已经安装好了。“

但未启用…请参阅: https : //bluehatrecord.wordpress.com/2014/10/13/installing-r-on-red-hat-enterprise-linux-6-5/

我遇到了同样的问题,而且很多人似乎都陷在了这个问题上。 依赖关系在RedHat Repo [rhel-6-server-optional-rpms]中可用。 启用回购和R应该安装。